#define MSG_LEN		100

#define MSG_PORT	1000
#define INFO_PORT	2000

#define	MSG		0
#define	INFO		1

#define JOIN_REQ	0 // followed by User Type
#define JOIN_OK		1

#define EVENT_REQ	2 // followed by data defining the event
#define EVENT_OK	3
#define EVENT		4    // followed by data defining the event

#define LOGOUT_REQ	5
#define LOGOUT_OK	6
#define LOGOUT		7    // followed by WHO has logged out

#define NEW_USER	8


// EVENT DEFINITIONS
#define MOVE		9
#define TURN		10

#define LEFT		75
#define FWD		72
#define RIGHT		77
#define BACK		80

#define DIRECTION	11

#define POSITION	12


struct Msg
{
	char		msg_type;
	in_addr		msg_addr;
	int		msg_len;
	char		*msg_data;

	int operator != ( Msg msg )
	{
		return  ( msg_type != msg.msg_type ||
			  CAST(msg_addr,int) != CAST(msg.msg_addr,int) ||
			  msg_len  != msg.msg_len ||
			  msg_data != msg.msg_data );
	}
};

list<Msg> inQue;
list<Msg> outQue;

